import uuid

from flask import Flask, render_template, redirect, request, Blueprint, session
from model import Question, Answer

questions = Blueprint("questions", "questions")

@questions.route("/")
def index():
    return render_template("index.html", questions=Question.select())

@questions.route("/debug")
def debug():
    Question.create(text="Guten Morgen Linus!")
    Question.create(text="Wer hat den Keks aus der Dose geklaut")
    return "nice"

@questions.route("/submit", methods=["POST"])
def submit_answers():

    if "token" in session:
        return "nanan, du hast schon!"

    session["token"] = uuid.uuid4()

    question_ids = request.form.getlist("question_ids[]")

    if question_ids is None:
        return "No answers submitted!"

    for question_id in question_ids:
        question = Question.get_or_none(id=question_id)
        if question is None:
            return "No question found by that id %s" % question_id

        answer = request.form.get(question_id)
        answer = Answer.create(text=answer, question=question)
        answer.save()

    return "Vielen Dankeschön"